LET IT BILL for WooCommerce

plugin banner

A plugin to synchronize WooCommerce data with a LET IT BILL account.

Author:LET IT BILL (profile at wordpress.org)
WordPress version required:3.5.1
WordPress version tested:4.7.2
Plugin version:0.3
Added to WordPress repository:22-09-2015
Last updated:03-02-2017
Warning! This plugin has not been updated in over 2 years. It may no longer be maintained or supported and may have compatibility issues when used with more recent versions of WordPress.
Rating, %:20
Rated by:1
Plugin URI:https://www.let-it-bill.com
Total downloads:1 020
Active installs:20+
plugin download
Click to start download

FAQ
ChangeLog